﻿@import url('https://fonts.googleapis.com/css2?family=Epilogue:ital,wght@0,100..900;1,100..900&family=Familjen+Grotesk:ital,wght@0,400..700;1,400..700&family=Open+Sans:ital,wght@0,300..800;1,300..800&display=swap');
:root {
    --color-theme-dark: #0D1225;
    --color-white: #ffffff;
    --color-blue: #541bff;
    --color-blue-secondary: #dbc4ff;
    --color-green: #3bbd96;
    --color-light-green: #b2ffba;
    --font-heading: "Familjen Grotesk", sans-serif;
    --font-sub-heading: "Epilogue", sans-serif;
    --font-body: "Open Sans", sans-serif;
}
body {
    font-family: var(--font-body);
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
    font-variation-settings: "wdth" 100;
    color: var(--color-theme-dark);
}
a, .text-link{
    color: var(--color-blue) !important
}
.navbar-dark, .bg-dark{
    background-color: var(--color-theme-dark) !important;
}
.main-nav > .nav-item .nav-link {
    color: var(--color-white);
    font-family: var(--font-sub-heading);
    font-weight: 400;

}
.main-nav .nav-link.active, .main-nav .nav-link:active, .main-nav .nav-link:hover, .main-nav > .nav-item.show .nav-link, header .navbar {
    color: var(--color-white);
    font-family: var(--font-sub-heading);
    font-weight: 400;
}
.navbar .icons a, .navbar .icons a:hover, .navbar .icons a:focus{
    color: var(--color-white);
}
footer.bg-light {
    background-color: var(--color-theme-dark) !important;
}
#get-in-touch.bg-primary{
    background-color: var(--color-blue-secondary) !important;
    color: var(--color-theme-dark);
}
h1,h2{
    font-family: var(--font-heading) !important;
    letter-spacing: -0.5px;
}
h2 {
    font-size: 3.6rem;
    color: var(--color-theme-dark) !important;
}
h3, .h3 {
    font-family: var(--font-sub-heading) !important;
    letter-spacing: -0.5px;
    color: var(--color-theme-dark) !important;
}
h4, .h4 {
    font-family: var(--font-sub-heading) !important;
}
.content-hierarchy h4{
    color: var(--color-theme-dark) !important
}
.btn-group-lg > .btn, .btn-lg, .btn{
    font-family: var(--font-sub-heading) !important;
}
#cookie-info .btn-outline-primary {
    color: var(--color-white) !important
}
#cookie-info .btn-outline-primary:hover {
    color: var(--color-blue) !important
}
#cookie-info {
    box-shadow: -1rem -1rem 4rem rgba(0,0,0,0.3) !important
}
.btn-primary {
    background-color: var(--color-blue) !important;
    color: var(--color-white) !important;
    font-family: var(--font-sub-heading) !important;
    border: none;
    padding: 0.7rem 1.5rem 0.5rem;
}
.bg-primary h2{
    color: var(--color-theme-dark) !important;
}
footer, footer p, footer a{
    font-family: var(--font-body) !important;
}
.form-control{
    border-color: var(--color-theme-dark);
}
.form-control, .form-check, .form-group label{
    font-family: var(--font-body) !important;
}
.bg-green{
    background-color: var(--color-light-green);
}
.current-projects-section, .section-padding {
    padding-top: 3rem;
    padding-bottom: 3rem;
}
.current-projects-section.strips-bg {
    background-image: url('../images/current-projects-bg-strips.svg');
    background-size: 155%;
    background-position: 0 center;
}
.carousel-control-prev-icon, .carousel-control-next-icon, .carousel-caption {
    color: var(--color-theme-dark);
}
.current-projects-section .card a{
    color: var(--color-theme-dark) !important
}
.current-projects-section .card a.text-link {
    color: var(--color-blue) !important
}
#projectsCarousel .card, #contactUsForm .card {
    /*    border-color: var(--color-theme-dark) !important;*/
    border-color: transparent !important;
    border-width: 0;
}
.truncate-multi, .truncate-multi2 {
    display: -webkit-box; /* enables flexbox-like layout */
    -webkit-box-orient: vertical; /* sets vertical orientation */
    -webkit-line-clamp: 2; /* number of lines to show */
    overflow: hidden; /* hides the rest */
}
.truncate-multi2 {
    -webkit-line-clamp: 3; /* number of lines to show */
}
.latest-content .card {
    /*    border: 1px solid var(--color-blue) !important;*/
    box-shadow: 0 7px 30px -12px rgba(0, 0, 0, 0.25);
    margin-bottom: 1.5rem
}
.latest-content .card h3 a{
    color: var(--color-theme-dark) !important;
}
footer a{
    color: var(--color-white) !important;
}
.main-nav > .nav-item .nav-link, .navbar.navbar-dark a {
    color: var(--color-white) !important
}
.form-check input:checked ~ .checkmark {
    background-color: var(--color-theme-dark);
    border-color: var(--color-theme-dark);
}
.bg-dark h2{
    color: var(--color-white) !important;
}
#newsCarousel .card .card-body h3{
    min-height: 130px;
}
.popular-links.strips-bg {
    background-image: url('../images/popular-link-bg-strips.svg');
    background-size: 135%;
    background-position: -150% center;
    background-repeat: no-repeat;
}
.popular-links h3 > a{
    color: var(--color-theme-dark) !important;
}
#popularlinksCarousel .card {
    border-radius: 0;
    /*    border-color: var(--color-blue);*/
    border-color: transparent;
    min-height: 500px;
    margin: 0 0.5rem;
    border-width: 0;
}
.popular-links .carousel-control-prev-icon, .popular-links .carousel-control-next-icon{
    color: var(--color-green) !important;
}
.form-check{
    padding-left: 40px
}
.checkmark {
    height: 32px;
    width: 32px;
    border: 1px solid var(--color-theme-dark);
}
.form-check:hover input ~ .checkmark {
    border-color: var(--color-blue);
}
.form-check .checkmark:after {
    left: 12px;
    top: 6px;
}
.featured-content .content-label {
    font-weight: 600;
    color: var(--color-theme-dark);
}
.search-bar{
    background-color: var(--color-theme-dark);
}
.hero-banner-strips {
/*    background-image: url('../images/banner-overlay.svg');*/
    background-size: cover;
    background-position: 50% center;
    background-repeat: no-repeat;
    min-height: 350px;
    position: relative;
}
.background-image {
    background-size: cover;
    background-repeat: no-repeat;
    background-position: right center;
    position: relative;
}
    .background-image::before {
        content: '';
/*        background: linear-gradient(263deg,rgba(13, 18, 37, 0) 0%, rgba(13, 18, 37, 0.4) 60%);*/
        position: absolute;
        inset:0;
    } 
.hero-section {
    padding: 3rem 0;
    color: var(--color-white);
    width: 65%;
}
.hero-section h1{
    font-family: var(--font-heading);
    font-weight: 600;
    font-size: 3.5rem;
    line-height: 1;
    margin-bottom: 1.5rem;
}
.hero-section .lead-text {
    font-size: 1.5rem;
}
.search-bar .form-control{
    font-family: var(--font-body) !important;
}
.sm_menu_outer .mobile_menu a{
    font-family: var(--font-body) !important;
    color: var(--color-theme-dark) !important;
}
.mobile_menu .cd-subnav-trigger::before, .mobile_menu .cd-subnav-trigger::after, .mobile_menu .go-back a::before, .mobile_menu .go-back a::after{
    background: var(--color-theme-dark);
}
.mobile_menu .sub-nav-title{
    background-color: var(--color-theme-dark);
}
.navbar .dropdown-menu {
    margin-top: 0.9rem;
    border-radius: 0;
    border: 0;
    box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
    font-family: var(--font-body);
}
.navbar .dropdown-menu .dropdown-item {
    color: var(--color-theme-dark) !important;
}
#get-in-touch {
    font-size: 1.3rem;
}
#sm_menu_ham span{
    background-color: var(--color-white);
}
.main-nav .dropdown-menu .dropdown-item{
    white-space: normal;
}
.main-nav .dropdown-menu .dropdown-item:hover {
    color: var(--color-blue) !important;
}
/* Add arrow to submenu toggle */ 
.dropdown-submenu > a::after {
    content: "▶"; /* Unicode arrow */
    float: right;
    margin-right: -0.5rem;
    font-size: 0.6rem;
    transform: translateY(2px);
    border:0;
    color: #ccc; /* Adjust color to match your theme */
    margin-top: 0.3rem
}
/* Optional: change arrow on hover */
.dropdown-submenu:hover > a::after {
    color: var(--color-blue);
}
.search-results-container .h4{
    font-family: var(--font-body) !important;
}
.search-results-container h3 > a{
    color: var(--color-theme-dark) !important;
}
.search-bar .btn {
    width: 160px;
}
.search-bar .form-control {
/*    width: calc(100% - 185px);*/
width: 100%;
height: auto;
}
.page-item.disabled .page-link, .page-item.active .page-link, .page-link, header .navbar {
    font-family: var(--font-body) !important;
}
.content-hierarchy h1{
    color: var(--color-theme-dark) !important;
}
.breadcrumb-item.active{
    color: var(--color-theme-dark);
}
.search-results-container {
    border-color: var(--color-theme-dark);
}
.loader {
    border: 6px solid #dbc4ff; /* Light grey */
    border-top: 6px solid #541bff; /* Blue */
    border-radius: 50%;
    width: 40px;
    height: 40px;
    animation: spin 1s linear infinite;
    margin: 0 auto;
}
.loader.breadcrumb {
    border: 6px solid #0D1225;
    border-top: 6px solid #b2ffba;
}
@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}
.loadbody {
    position: fixed;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 1.5rem;
    top: 45% !important;
    left: 5% !important;
    right: 5% !important;
    min-height: 150px;
}
.loadbody .loader{
    width: 60px;
    height: 60px;
}
.loadhead {
    opacity: 1;
    background-color: rgba(0, 0, 0, 0.85);
    color: #fff;
}
.btn-primary.focus, .btn-primary:focus {
    border-color: var(--color-blue);
    box-shadow: 0 0 0 0.2rem rgba(84, 27, 255, 0.5)
}
.dropdown-item{
    font-size: 1.1rem
}
.sitemap a{
    color: var(--color-theme-dark) !important;
    padding: 0.3rem 0;
    display: inline-block
}
.nav.main-nav{
    border-right: 0 !important;
    padding-right: 0 !important;
}
#projectsCarousel .card .thumb{
    bottom: 0;
}
.page-display-head-image {
    padding-left: 15px !important;
}
.hero-section-content{
    position: absolute;
    left: 6%;
    top: 0;
}
.img-fluid{
    max-width: 100%;
    height: auto;
}
.slick-slide img.desktop-image {
    display: none;
}
@media(max-width: 767px) {
    .navbar-brand img {
        width: 115px;
    }

    #navbar-toggler {
        margin-top: 0.5rem
    }

    #sm_menu_ham span {
        background-color: var(--color-white);
    }
    .navbar-brand, .navbar .icons a {
        border-color: var(--color-green);
    }
    .hero-section h1{
        font-size: 2.8rem;
    }
    .hero-section .lead-text{
        font-size:1.1rem;
    }
    .background-image {
        background-size: cover;
        background-position: center center;
    }
    .hero-banner-strips {
        background-size: cover;
        background-position: 50% center;
        min-height: 330px;
    }
    .search-bar .form-control{
        font-size: 1.1rem;
        height: 2.7rem
    }
    .search-bar .btn{
        font-size: 1.1rem;
        width: 60px;
    }
    .search-bar .form-control {
        width: calc(100% - 60px);
    }
    .sm_menu_outer{
        border: 0;
    }
    .sm_menu_outer.active {
        background-color: var(--color-white);
        box-shadow: 0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04);
    }
    .featured-content.section-padding {
        padding-top: 1rem;
        padding-bottom: 2rem;
    }
    h2 {
        font-size: 2.3rem;
        margin-bottom:1.5rem;
    }
    #popularlinksCarousel .card{
        min-height: auto;
    }
    #get-in-touch {
        font-size: 1.3rem;
    }
    .hero-section{
        width: 95%;
    }
    .current-projects-section.strips-bg {
        background-size: 400%;
        background-position: 15% center;
    }
    .pagination {
        flex-wrap: wrap;
    }
    .pagination .page-item .page-link {
        font-size: 1rem;
    }
    .sm_menu_outer {
        height: 100vh;
        top: 48px;
    }
}
@media(min-width: 768px) {
    .navbar-brand {
        width: 145px
    }

    .navbar-brand {
        padding-top: 2.8rem;
        padding-bottom: 2.8rem;
    }

    h2 {
        font-size: 2.8rem;
        margin-bottom: 1.5rem;
    }

    #get-in-touch h2 {
        margin-bottom: 0;
    }

    #popularlinksCarousel .card {
        margin: 0;
    }

    #projectsCarousel .card {
        margin: 0;
    }

    #popularlinksCarousel .card {
        min-height: 100%;
    }

    #projectsCarousel .card .card-body h3 {
        min-height: 65px;
    }
    #navbar-toggler{
        display: none;
    }
    .content-hierarchy h1 {
        margin-bottom: 1.4rem
    }
    .main-nav .dropdown-menu {
        width: 300px;
        margin-top: 0;
    }
    .dropdown-submenu {
        position: relative;
    }
    .dropdown-submenu .dropdown-menu {
        top: 0;
        left: 100%;
        margin-top: -1px;
    }
    .background-image::before {
        content: '';
        background: linear-gradient(263deg,rgba(13, 18, 37, 0) 0%, rgba(13, 18, 37, 0.4) 60%);
        position: absolute;
        inset: 0;
    } 
}
@media (min-width: 768px) and (max-width: 1349px) {
    .nav.main-nav::before {
        border-top: 1px solid var(--color-green);
    }
}
@media(min-width: 1200px){
h2 {
    font-size: 3rem;
    margin-bottom: 1.3rem;
    margin-top: 0;
}
    #get-in-touch {
        font-size: 1.4rem;
    }
    #projectsCarousel .card .card-body h3 {
        min-height: 65px;
    }
    #projectsCarousel .card .card-body p {
        min-height: 130px;
    }
    #projectsCarousel .card {
        min-height: 410px;
    }
    .background-image {
        background-size: 120%;
        background-repeat: no-repeat;
        background-position: center right;
    }
    .hero-banner-strips {
/*        background-image: url('../images/banner-overlay.svg');*/
        background-size: 130%;
        background-position: 70% center;
        background-repeat: no-repeat;
        min-height: 450px;
        position: relative;
    }
    .hero-section {
        padding: 5rem 0;
        width: 50%;
    }
    .hero-section h1{
        font-size: 4.2rem;
    }
    #newsCarousel .card, #expertsCarousel .card {
        min-height: 480px;
    }
    .latest-content .news-details {
        min-height: 165px;
    }
    #projectsCarousel .card .card-body p {
        min-height: 128px;
    }
    #popularlinksCarousel .card .thumb {
        height: 170px;
        position: absolute;
        left: 0;
        overflow: hidden;
        width: 100%;
    }
    h3, .h3 {
        font-size: 1.4rem;
    }
    .popular-links h3 {
        min-height: 130px;
    }
    .nav.main-nav{
        border-color: var(--color-green);
    }
    .dropdown-submenu {
        position: relative;
    }
    .dropdown-submenu .dropdown-menu {
        top: 0;
        left: 100%;
        margin-top: -1px;
    }
    .main-nav .dropdown-menu {
        width: 300px;
    }
    .main-nav > .nav-item .nav-link {
        font-size: 1rem;
    }
    #related-articles .card{
        min-height: 470px
    }
    .loadbody {
        top: 45% !important;
        left: 30% !important;
        right: 30% !important;
        min-height: 150px;
    }
}
@media(min-width: 1350px) {
    .main-nav .dropdown-menu {
        margin-top: 0.9rem;
    }
}
@media(min-width: 1400px) {
    .hero-section {
        padding: 5rem 0;
        width: 50%;
    }
    .hero-section h1 {
        font-size: 4.8rem;
        margin-bottom: 1.5rem;
    }
    .hero-section .lead-text {
        font-size: 1.45rem;
    }
    h2 {
        font-size: 3rem;
        margin-bottom: 1.3rem;
    }
    h3, .h3 {
        font-size: 1.4rem;
        line-height: 1.3;
        margin-bottom: 1.5rem;
    }
    #popularlinksCarousel .card .thumb {
        height: 170px;
        position: absolute;
        left: 0;
        overflow: hidden;
        width: 100%;
    }
    .popular-links h3 {
        min-height: 130px;
    }
    #newsCarousel .card .card-body h3 {
        min-height: 100px;
    }
    .latest-content .news-details {
        min-height: 145px;
    }
    #related-articles .latest-content .news-details {
        min-height: 255px;
    }
    #newsCarousel .card, #expertsCarousel .card {
        min-height: 445px;
    }
    #newsCarousel .carousel-item, #expertsCarousel .carousel-item {
        height: 32rem;
    }
    #newsCarousel .card .card-body h3 {
        min-height: 130px;
    }
    #projectsCarousel .card .card-body h3 {
        min-height: 60px;
    }
    #projectsCarousel .card {
        min-height: 386px;
    }
    #projectsCarousel .card .card-body p {
        min-height: 95px;
    }
    .search-bar .btn-primary {
        padding: 1.15rem 1.5rem 0.5rem;
    }
    .form-control {
        font-size: 1.5rem;
        height: calc(1.5em + 1.2rem + 2px);
        padding: 0.75rem 1.2rem;
    }
    #get-in-touch {
        font-size: 1.6rem;
    }
    .main-nav > .nav-item .nav-link {
        font-size: 1.1rem;
    }
    .inner-page-search .search-bar .btn-primary {
        padding: 0.8rem 1.5rem 0.7rem;
    }
    .content-hierarchy h1 {
        margin-bottom: 1.6rem
    }
    .page-display-head-image {
        padding-left: 2.5rem !important;
    }
    .slick-slide img.desktop-image {
        display: block;
    }
    .hero-banner-strips {
        min-height: auto;
    }
}
@media(min-width: 1600px) {
    body {
        font-size: 1.1rem
    }
    .main-nav > .nav-item .nav-link {
        font-size: 1.2rem
    }

    .nav.main-nav {
        border-color: var(--color-green);
    }

    .main-nav > .nav-item .nav-link {
        padding: 3.9rem 1rem 1.3rem;
        font-size: 1.3rem;
    }

    #get-in-touch {
        font-size: 1.8rem;
    }

        #get-in-touch .btn {
            margin-top: 0 !important;
        }

        #get-in-touch h2 {
            padding-top: 0;
        }

    h2 {
        font-size: 3.5rem;
        margin-bottom: 1.4rem;
    }

    #stay-informed .card-body, #participate .card-body {
        padding: 3.5rem;
    }

    h3, .h3 {
        font-size: 1.7rem;
        margin-bottom: 1.5rem;
    }

    .form-control {
        font-size: 1.5rem;
        height: calc(1.5em + 1.2rem + 2px);
        padding: 0.75rem 1.2rem;
    }

    .current-projects-section, .section-padding {
        padding-top: 6rem;
        padding-bottom: 6rem;
    }
    #projectsCarousel .card .card-body h3{
        min-height: 80px;
        margin-bottom: 0.5rem;
    }
    #projectsCarousel .card .card-body p{
        margin-bottom: 0.8rem;
    }
    #projectsCarousel .card {
        min-height: 454px;
    }
    #newsCarousel .carousel-item, #expertsCarousel .carousel-item{
        height: 36rem;
    }
    .latest-content .news-details{
        min-height: 185px;
    }
    
    #popularlinksCarousel .card .thumb {
        height: 245px;
        position: absolute;
        left: 0;
        overflow: hidden;
        width: 100%;
    }
    .popular-links h3{
        min-height: 150px;
    }
    .form-control, .form-check, .form-group label {
        font-size: 1.5rem;
    }
    .hero-section {
        padding: 5rem 0;
        width: 50%;
    }
    .hero-section h1 {
        font-size: 5.5rem;
        margin-bottom: 2.5rem;
    }

    .hero-section .lead-text {
        font-size: 1.6rem;
    }
    .search-bar .form-control {
        font-size: 1.4rem
    }
    #newsCarousel .card .card-body h3, #related-articles .card .card-body h3 {
        min-height: 130px;
    }
    #projectsCarousel .card .card-body p {
        min-height: 87px;
    }
    .search-results-container {
        padding-bottom: 20px;
        margin-bottom: 20px;
    }
    .content-hierarchy h1{
        margin-bottom: 1.8rem
    }
}
@media(min-width: 1700px) {
    .hero-section h1 {
        font-size: 6rem;
        margin-bottom: 2rem;
    }
    .hero-section .lead-text {
        font-size: 1.8rem;
    }
    h2 {
        font-size: 3.6rem;
        margin-bottom: 1.4rem;
    }
    h3, .h3 {
        font-size: 2rem;
        margin-bottom: 1.5rem;
    }
    #projectsCarousel .card .card-body p {
        min-height: 82px;
    }
    .search-bar .btn-primary {
/*        box-shadow: 0 0 0 0.2rem var(--color-blue);*/
        box-shadow: 0;
        border: 1px solid var(--color-blue);
    }
    .inner-page-search .search-bar .btn-primary {
        box-shadow: none;
    }
}